<?php

namespace Drupal\ris;

use Drupal\Core\Image\Image;
use Drupal\Core\ImageToolkit\ImageToolkitInterface;

/**
 * Defines an image object to represent a remote image file.
 */
class RemoteImage extends Image {

  /**
   * Constructs a new RemoteImage object.
   */
  public function __construct(ImageToolkitInterface $toolkit, string $source) {
    $this->source = $source;
    $this->toolkit = $toolkit->setSource($source);
    $this->toolkit->parseFile();
  }

  /**
   * {@inheritdoc}
   */
  public function getFileSize(): int {
    return 0;
  }

}
